﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UnboundImageColumn
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            // Add an unbound column and make it the leftmost column
            e.Layout.Bands[0].Columns.Add("Image").Header.VisiblePosition = 0;

            // Hide the reference column that indicates which image to use
            e.Layout.Bands[0].Columns[0].Hidden = true;
        }

        private void ultraGrid1_InitializeRow(object sender, Infragistics.Win.UltraWinGrid.InitializeRowEventArgs e)
        {
            // Create the images
            List<Image> images = new List<Image>();
            images.Add(Image.FromFile(@"../../Smile.gif"));
            images.Add(Image.FromFile(@"../../Close.png"));

            // Set the image in the unbound column based on the value in the reference column
            // The simplest way to apply an image to an UltraGrid cell is to set the appearance
            e.Row.Cells["Image"].Appearance.Image = images[(int)e.Row.Cells[0].Value];
        }
    }
}
